summaryrefslogtreecommitdiffstats
path: root/kud/tests/sriov.sh
diff options
context:
space:
mode:
authormarvinYu <weifei.yu@intel.com>2020-03-19 22:16:30 +0800
committerKuralamudhan Ramakrishnan <kuralamudhan.ramakrishnan@intel.com>2020-05-26 00:34:11 +0000
commit2f86e8e5364339b539313931d7faaf9f9c3896a4 (patch)
tree94c0df766f48ead3d31dfb48bd730cb2fd45de0b /kud/tests/sriov.sh
parentcb00c733fc29c715f1f30cbf50534a0811575d7f (diff)
Updating multus, SRIOV and nfd test cases
Updating some AddOn test cases and add README.md file. Issue-ID: MULTICLOUD-1037 Signed-off-by: marvinYu <weifei.yu@intel.com> Change-Id: Iee2c31207cf2cd37fb8119bceef286aa887079f9
Diffstat (limited to 'kud/tests/sriov.sh')
-rwxr-xr-xkud/tests/sriov.sh85
1 files changed, 60 insertions, 25 deletions
diff --git a/kud/tests/sriov.sh b/kud/tests/sriov.sh
index a721b722..2dea576e 100755
--- a/kud/tests/sriov.sh
+++ b/kud/tests/sriov.sh
@@ -24,12 +24,10 @@ else
fi
pod_name=pod-case-01
-rm -f $HOME/$pod_name.yaml
-kubectl delete pod $pod_name --ignore-not-found=true --now --wait
-allocated_node_resource=$(kubectl describe node | grep "intel.com/intel_sriov_700" | tail -n1 |awk '{print $(NF)}')
-echo "The allocated resource of the node is: " $allocated_node_resource
-cat << POD > $HOME/$pod_name.yaml
+function create_pod_yaml_with_single_VF {
+
+cat << POD > $HOME/$pod_name-single.yaml
apiVersion: v1
kind: Pod
metadata:
@@ -48,25 +46,62 @@ spec:
limits:
intel.com/intel_sriov_700: '1'
POD
-kubectl create -f $HOME/$pod_name.yaml --validate=false
- for pod in $pod_name; do
- status_phase=""
- while [[ $status_phase != "Running" ]]; do
- new_phase=$(kubectl get pods $pod | awk 'NR==2{print $3}')
- if [[ $new_phase != $status_phase ]]; then
- echo "$(date +%H:%M:%S) - $pod : $new_phase"
- status_phase=$new_phase
- fi
- if [[ $new_phase == "Running" ]]; then
- echo "Pod is up and running.."
- fi
- if [[ $new_phase == "Err"* ]]; then
- exit 1
- fi
+}
+
+function create_pod_yaml_with_multiple_VF {
+
+cat << POD > $HOME/$pod_name-multiple.yaml
+apiVersion: v1
+kind: Pod
+metadata:
+ name: pod-case-01
+ annotations:
+ k8s.v1.cni.cncf.io/networks: sriov-eno2, sriov-eno2
+spec:
+ containers:
+ - name: test-pod
+ image: docker.io/centos/tools:latest
+ command:
+ - /sbin/init
+ resources:
+ requests:
+ intel.com/intel_sriov_700: '2'
+ limits:
+ intel.com/intel_sriov_700: '2'
+POD
+}
+create_pod_yaml_with_single_VF
+create_pod_yaml_with_multiple_VF
+
+for podType in ${POD_TYPE:-single multiple}; do
+
+ kubectl delete pod $pod_name --ignore-not-found=true --now --wait
+ allocated_node_resource=$(kubectl describe node | grep "intel.com/intel_sriov_700" | tail -n1 |awk '{print $(NF)}')
+
+ echo "The allocated resource of the node is: " $allocated_node_resource
+
+ kubectl create -f $HOME/$pod_name-$podType.yaml --validate=false
+
+ for pod in $pod_name; do
+ status_phase=""
+ while [[ $status_phase != "Running" ]]; do
+ new_phase=$(kubectl get pods $pod | awk 'NR==2{print $3}')
+ if [[ $new_phase != $status_phase ]]; then
+ echo "$(date +%H:%M:%S) - $pod-$podType : $new_phase"
+ status_phase=$new_phase
+ fi
+ if [[ $new_phase == "Running" ]]; then
+ echo "Pod is up and running.."
+ fi
+ if [[ $new_phase == "Err"* ]]; then
+ exit 1
+ fi
+ done
done
- done
-allocated_node_resource=$(kubectl describe node | grep "intel.com/intel_sriov_700" | tail -n1 |awk '{print $(NF)}')
+ allocated_node_resource=$(kubectl describe node | grep "intel.com/intel_sriov_700" | tail -n1 |awk '{print $(NF)}')
+
+ echo " The current resource allocation after the pod creation is: " $allocated_node_resource
+ kubectl delete pod $pod_name --now
+ echo "Test complete."
-echo " The current resource allocation after the pod creation is: " $allocated_node_resource
-kubectl delete pod $pod_name --now
-echo "Test complete."
+done